<?php
function sendChunk($chunk)
{
	echo sprintf("%x\r\n", strlen($chunk));
	echo $chunk;
	echo "\r\n";

	@flush();
	@ob_flush();
}

// Make sure our settings are correct for flushed output
//apache_setenv('no-gzip', 1);
ini_set('zlib.output_compression', 0);
ini_set('implicit_flush', 1);

// Most browsers require HTML output, otherwise they won't stream.
//
// Affected browsers: Firefox, Chrome, IE
header('Content-Type: text/html; charset=utf-8');

// All streams should be uncached
header('Cache-Control: no-cache, no-store, max-age=0, must-revalidate');
header('Pragma: no-cache');
header('Expires: Fri, 01 Jan 1990 00:00:00 GMT');

// Of course the official chunked header
header('Transfer-Encoding: chunked');

// Again a magic tweak for browsers, otherwise they won't stream...
header('X-Content-Type-Options: nosniff');

// Protect our streams from xss attacks
header('X-XSS-Protection: 1; mode=block');

header('Content-Encoding: none;');

// Trigger a flush here, this is required, otherwise apache will
// append Content-Length to our headers, which is impossible with
// chunked output. This would break our stream.
flush();

// Clear all initial levels of the php output buffering so we
// are clear to flush everything to the client
for ($i = 0; $i < ob_get_level(); $i++) { @ob_end_flush(); }

// Final, but not least, from now on send everything straight to the client
ob_implicit_flush(1);

for($i = 0; $i < 10; $i++) {
	sendChunk($i . ' ');
	sleep(1);
}

// Close the chunked connection
sendChunk('');
?>